<div ng-if="type=='trending'">
     <slick settings="trendingSlickConfig" id="trending_outer">
        <div class="item card black_slides" ng-repeat="slide in slides">

              <div class="trending_card"  lazy-img='{{slide.thumbnail.replace("http:","https:")}}' style="background-image:url(https://s3-ap-southeast-1.amazonaws.com/static.spotboye.com/placeholder_mobile.jpg);display:inline-block;">

              <div class="article_section">
              <span class="article_mainsection">
              <b style="color:{{slide.mainSection.color}}">{{slide.mainSection.parentSection}}</b>
              {{slide.mainSection.title}}
              </span>
              <span class="article_sectioname">TRENDING</span>
              </div>

              <div class="bottom_aligned_section">
                 <a class="article_link" href="{{localeURL}}/{{slide.mainSection.parentSlug}}/{{slide.mainSection.slug}}/{{slide.slug}}/{{slide._id}}">
              <h2>{{slide.title}}</h2>
</a>
              <div class="author_box">
                    <span>{{slide.authorName}}</span>
                <span style="no-border">{{slide.views | kViewers}} Views</span>
                
              </div>
              <div class="share_box">
                    <a href="whatsapp://send?text='{{article.title}}%20{{article.shareURL|locale:localeURL}}'" data-action="share/whatsapp/share" class="whatsapp"><i class="fa fa-whatsapp" aria-hidden="true"></i></a>
                    <a ng-click='Share.fb(article.shareURL)' class="facebook"><i class="fa fa-facebook" aria-hidden="true"></i></a>
                    <a target="_blank" href="https://twitter.com/intent/tweet?text=Check%20this%20article%20{{article.shareURL|locale:localeURL}}" class="twitter"><i class="fa fa-twitter" aria-hidden="true"></i></a>
                </div>
              </div>

              </div>

    </div>

<!--    <p>{{article.shortBody}}</p>-->
</slick>

</div>
<div ng-if="type=='thumbnail'">
    <slick settings="slickConfig" ng-if="contentType=='article'" class="review_corousal">
    <div class="item" ng-repeat="slide in slides">
        <a class="article_link" href="{{localeURL}}/{{slide.mainSection.parentSlug}}/{{slide.mainSection.slug}}/{{slide.slug}}/{{slide._id}}">
    <div class="review_corousal_image" style="border-bottom-color:{{slide.mainSection.color}};background-image:url(https://s3-ap-southeast-1.amazonaws.com/static.spotboye.com/placeholder_mobile.jpg);"   lazy-img='{{slide.thumbnail.replace("http:","https:")}}'></div>
        <div class="article_section">
            <span class="article_mainsection">
            {{slide.mainSection.title}}
            </span>
        </div>

    <h2>{{slide.title}}</h2>
<!--
    <div class="author_box">
            <div class="share_box">
            <a href="whatsapp://send?text=The text to share!" data-action="share/whatsapp/share" class="whatsapp"><i class="fa fa-whatsapp" aria-hidden="true"></i></a>
            <a ng-click='Share.fb(item.shareURL)' class="facebook"><i class="fa fa-facebook" aria-hidden="true"></i></a>
            <a href="https://twitter.com/intent/tweet?text=Check%20this%20article%20{{currentUrl}}" class="twitter"><i class="fa fa-twitter" aria-hidden="true"></i></a>
            </div>
            </div>
-->
        </a>
    </div>
    </slick>
</div>
<div ng-if="type=='article'">

<div class="slides" ng-if="contentType=='article'">
    <div class="col-md-4 card" ng-repeat="slide in slides">
         <a class="article_link" href="{{localeURL}}/{{item.mainSection.parentSlug}}/{{item.mainSection.slug}}/{{item.slug}}/{{item._id}}">
        <img no-popup ng-src="{{slide.thumbnail.replace('http:','https:')}}" style="border-bottom-color:#0043ff;" />
    <h2>{{slide.title}}</h2>
        </a>

    </div>
</div>

</div>
<div ng-if="type=='fluid'">
<!--    FOr VIDEO COROUSAL-->
<!--
    <data-owl-carousel id="video_corousal_outer"  ng-if="contentType=='videos'" class="owl-carousel" data-options="{navigation: true, pagination: false, dots : true,items:1,center:1}">
        <div owl-carousel-item="" class="item card black_slides" ng-repeat="slide in slides" ng-click="openArticle(slide)">
    <img ng-src="{{slide.thumbnail}}" style="border-bottom-color:{{slide.mainSection.color}};" />
    <div class="article_section">
            <span class="article_mainsection">
            <b style="color:{{slide.mainSection.color}}">{{slide.mainSection.parentSection}}</b>
            {{slide.mainSection.title}}
            </span>
            <span class="article_sectioname">VIDEOS</span>
        </div>
    <h2>{{slide.title}}</h2>
    <div class="author_box">
        <span>{{slide.authorName}}</span>
        <span>{{slide.publishedAt | timeago}} ago</span>
    </div>
        </div>
</data-owl-carousel>
-->

<slick settings="videoSlickConfig" ng-if="contentType=='videos'" id="video_corousal_outer">
    <div class="item" ng-repeat="slide in slides">
    <img no-popup class="video_corousal_image" style="border-bottom-color:{{slide.mainSection.color}};" src="{{slide.thumbnail.replace('http:','https:')}}" />
    <div class="article_section_outer">
     <a class="article_link" href="{{localeURL}}/{{slide.mainSection.parentSlug}}/{{slide.mainSection.slug}}/{{slide.slug}}/{{slide._id}}">
    <div class="article_section">
            <span class="article_mainsection">
            <b style="color:{{slide.mainSection.color}}">{{slide.mainSection.parentSection}}</b>
            {{slide.mainSection.title}}
            </span>
            <span class="article_sectioname">VIDEOS</span>
        </div>
    <h2>{{slide.title}}</h2>
   
    </a>
    <div class="author_box">
        <span>{{slide.authorName}}</span>
        <span>{{slide.publishedAt | timeago}} ago</span>
    </div>
    <div class="share_box">
            <a href="whatsapp://send?text='{{article.title}}%20{{article.shareURL|locale:localeURL}}'" data-action="share/whatsapp/share" class="whatsapp"><i class="fa fa-whatsapp" aria-hidden="true"></i></a>
            <a ng-click='Share.fb(article.shareURL)' class="facebook"><i class="fa fa-facebook" aria-hidden="true"></i></a>
            <a target="_blank" href="https://twitter.com/intent/tweet?text=Check%20this%20article%20{{article.shareURL|locale:localeURL}}" class="twitter"><i class="fa fa-twitter" aria-hidden="true"></i></a>
        </div>
        <div style="float: left;width: 100%;">
        <a class="article_link" href="{{localeURL}}/{{slide.mainSection.parentSlug}}/{{slide.mainSection.slug}}/{{slide.slug}}/{{slide._id}}">
        <span class="read_more" style="color:{{slide.mainSection.color}}">Read More</span>
        </a>
    </div>
        </div>
    </div>
</slick>


<!--    For moview review corousal-->
<!--
<slick settings="videoReviewSlickConfig" ng-if="contentType=='videos'" class="review_corousal">
    <div class="item" ng-repeat="slide in slides" ng-click="openArticle(slide)">
    <div class="review_corousal_image" style="border-bottom-color:{{slide.mainSection.color}};background-image:url({{slide.thumbnail}});" />
    <div class="article_section">
            <span class="article_mainsection">
            {{slide.mainSection.title}}
            </span>
        </div>
    <h2>{{slide.title}}</h2>
        </div>
</slick>
-->

    
    
</div>
<div ng-if="contentType=='photos'" class="thumbnail_corousal_outer">
<!--    <p class="section_new_heading">PHOTOS</p>-->
    <slick settings="photoSlickConfig" class="photo_margin" id="photo_corousal_outer_{{$index}}">
          <!--PHOTO ITEMS -->
        <div  owl-carousel-item="" class="item photo_card" class="item card" ng-repeat="photos in slides">
                <a class="article_link" href="{{localeURL}}/{{photos.mainSection.parentSlug}}/{{photos.mainSection.slug}}/{{photos.slug}}/{{photos._id}}">
                    <img no-popup ng-src="{{photos.thumbnail.replace('http:','https:')}}" style="border-bottom-color:#0043ff;" /></a>
            <div class="article_section">
            <span class="article_mainsection">
            <b style="color:{{photos.mainSection.color}}">{{photos.mainSection.parentSection}}</b>
            {{photos.mainSection.title}}
            </span>
        </div>
        <a class="article_link" href="{{localeURL}}/{{photos.mainSection.parentSlug}}/{{photos.mainSection.slug}}/{{photos.slug}}/{{photos._id}}">  <h2>{{photos.title}}</h2>
            <div class="share_box">
                    <a href="whatsapp://send?text='{{article.title}}%20{{article.shareURL|locale:localeURL}}'" data-action="share/whatsapp/share" class="whatsapp"><i class="fa fa-whatsapp" aria-hidden="true"></i></a>
                    <a ng-click='Share.fb(article.shareURL)' class="facebook"><i class="fa fa-facebook" aria-hidden="true"></i></a>
                    <a target="_blank" href="https://twitter.com/intent/tweet?text=Check%20this%20article%20{{article.shareURL|locale:localeURL}}" class="twitter"><i class="fa fa-twitter" aria-hidden="true"></i></a>
                </div>
                </a>
        </div>
    </slick>
    </div>

<div ng-if="contentType=='awards'" class="thumbnail_corousal_outer thumbnail_corousal_award">
    <!--    <p class="section_new_heading">PHOTOS</p>-->
        <slick settings="photoSlickConfig" class="photo_margin" id="photo_corousal_outer_{{$index}}">
              <!--PHOTO ITEMS -->
            <div  owl-carousel-item="" class="item photo_card" class="item card" ng-repeat="photos in slides">
              <img no-popup ng-src="{{photos.thumbnail.replace('http:','https:')}}" style="border-bottom-color:#0043ff;" />
                <div class="article_section">
                <span class="article_mainsection">
                <b style="color:{{photos.mainSection.color}}">{{photos.mainSection.parentSection}}</b>
                {{photos.mainSection.title}}
                </span>
            </div>
            <a class="article_link" href="{{localeURL}}/{{photos.mainSection.parentSlug}}/{{photos.mainSection.slug}}/{{photos.slug}}/{{photos._id}}">
              <h2>{{photos.title}}</h2>
                <div class="author_box">
               <div class="share_box">
                    <a href="whatsapp://send?text='{{article.title}}%20{{article.shareURL|locale:localeURL}}'" data-action="share/whatsapp/share" class="whatsapp"><i class="fa fa-whatsapp" aria-hidden="true"></i></a>
                    <a ng-click='Share.fb(article.shareURL)' class="facebook"><i class="fa fa-facebook" aria-hidden="true"></i></a>
                    <a target="_blank" href="https://twitter.com/intent/tweet?text=Check%20this%20article%20{{article.shareURL|locale:localeURL}}" class="twitter"><i class="fa fa-twitter" aria-hidden="true"></i></a>
                </div>
        </div>
      </a>
            </div>
        </slick>
        </div>

    
<slick settings="articleSlickConfig" ng-if="contentType=='articles'" class="review_corousal">
    <div class="item" ng-repeat="slide in slides" ng-click="openArticle(slide)">
    <div class="review_corousal_image" style="border-bottom-color:{{slide.mainSection.color}};background-image:url({{slide.thumbnail.replace('http:','https:')}});" />
    <div class="article_section">
            <span class="article_mainsection">
            {{slide.mainSection.title}}
            </span>
        </div>
    <h2>{{slide.title}}</h2>
        </div>
</slick>  
